Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class Sequence

Represents a sequence of objects which represents zero or many instances of of objects of a given type. The type can be ommitted in which case any type of object can be added.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`int` | `hashCode`
`MetaClass` | `metaClass`
`Class` | `type`

Constructor Summary
`Sequence()`
`Sequence(Class type)`
`Sequence(Class type, List content)`

Method Summary
`void` | `add(int index, Object element)`
`boolean` | `add(Object element)`
`boolean` | `addAll(Collection c)`
`boolean` | `addAll(int index, Collection c)`
`void` | `checkCollectionType(Collection c)` Checks that each member of the given collection are of the correct type
`void` | `checkType(Object object)` Checks that the given object instance is of the correct type otherwise a runtime exception is thrown
`void` | `clear()`
`boolean` | `equals(Object that)`
`boolean` | `equals(Sequence that)`
`MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`int` | `hashCode()`
`Object` | `invokeMethod(String name, Object args)`
`int` | `minimumSize()`
`Object` | `remove(int index)`
`void` | `removeRange(int fromIndex, int toIndex)`
`void` | `set(Collection collection)` Sets the contents of this sequence to that of the given collection.
`Object` | `set(int index, Object element)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Class` | `type()` type constraint on this sequence

Constructor Detail

### Sequence

    public Sequence()

### Sequence

    public Sequence(Class type)

### Sequence

    public Sequence(Class type, List content)

Method Detail

### add

    public void add(int index, Object element)

### add

    public boolean add(Object element)

### addAll

    public boolean addAll(Collection c)

### addAll

    public boolean addAll(int index, Collection c)

### checkCollectionType

    void checkCollectionType(Collection c)

  Checks that each member of the given collection are of the correct type

### checkType

    void checkType(Object object)

  Checks that the given object instance is of the correct type otherwise a runtime exception is thrown

### clear

    public void clear()

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(Sequence that)

### getMetaClass

    public MetaClass getMetaClass()

### getProperty

    public Object getProperty(String property)

### hashCode

    public int hashCode()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### minimumSize

    public int minimumSize()

### remove

    public Object remove(int index)

### removeRange

    void removeRange(int fromIndex, int toIndex)

### set

    public void set(Collection collection)

  Sets the contents of this sequence to that of the given collection.

### set

    public Object set(int index, Object element)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### type

    public Class type()

  return:
    the type of the elements in the sequence or null if there is no
  type constraint on this sequence